<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" indent="no"/>
<xsl:strip-space elements="*"/>

<xsl:param name="baseURL" select="''"/>

<xsl:template match="PHOTOPAGES">
	<xsl:variable name="IMGPATH"><xsl:value-of select="@PAGE-NAME"/>/</xsl:variable>

    	<xsl:for-each select="PHOTOPAGE/PHOTO">
        <div style="float:left; margin-left:20px; margin-bottom:20px;">
	<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100px; height: 100px;">
		<tr>
			<td><img src="images/{$IMGPATH}frame_tl.png" border="0" alt="" width="19" height="19" style="behavior:url('images/{$IMGPATH}pngbehavior.htc');"/></td>
			<td valign="bottom">
				<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 19px;">
					<tr><td height="3" style="background: url('images/{$IMGPATH}frame_tbg.gif') repeat-x;"></td></tr>
					<tr><td height="16"><img src="images/{$IMGPATH}frame_t.gif" border="0" alt="" width="100%" height="16"/></td></tr>
				</table>
			</td>
			<td><img src="images/{$IMGPATH}frame_tr.png" border="0" alt="" width="20" height="19" style="behavior:url('images/{$IMGPATH}pngbehavior.htc');"/></td>
		</tr>
		<tr>
			<td valign="bottom">
				<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 19px; height: 100%;">
					<tr>
						<td width="3" style="background: url('images/{$IMGPATH}frame_lbg.gif') repeat-y;"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1"/></div></td>
						<td width="16"><img src="images/{$IMGPATH}frame_l.gif" border="0" alt="" width="16" height="100%"/></td>
					</tr>
				</table>
			</td>
			<td><A href="javascript:void(1);">
        				<xsl:attribute name="onclick">window.open('<xsl:value-of select="@DETAIL"/>', 'detail', 'width=<xsl:value-of select="@WIDTH"/>,height=<xsl:value-of select="@HEIGHT"/>,statusbar=no,scrollbar=yes,toolbar=no');</xsl:attribute>
        				<IMG border='0' height="150">
        				<xsl:attribute name="SRC"><xsl:value-of select="@THUMB"/></xsl:attribute>
        				<xsl:attribute name="ALT"><xsl:value-of select="@CAPTION"  disable-output-escaping="yes"/></xsl:attribute>
        				</IMG></A></td>
			<td valign="bottom">
				<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 20px; height: 100%;">
					<tr>
						<td width="17"><img src="images/{$IMGPATH}frame_r.gif" border="0" alt="" width="17" height="100%"/></td>
						<td width="3" style="background: url('images/{$IMGPATH}frame_rbg.gif') repeat-y;"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1"/></div></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td><img src="images/{$IMGPATH}frame_bl.png" border="0" alt="" width="19" height="20" style="behavior:url('images/{$IMGPATH}pngbehavior.htc');"/></td>
			<td>
				<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 20px;">
					<tr><td height="17"><img src="images/{$IMGPATH}frame_b.gif" border="0" alt="" width="100%" height="17"/></td></tr>
					<tr><td height="3" style="background: url('images/{$IMGPATH}frame_bbg.gif') repeat-x;"></td></tr>
				</table>
			</td>
			<td><img src="images/{$IMGPATH}frame_br.png" border="0" alt="" width="20" height="20" style="behavior:url('images/{$IMGPATH}pngbehavior.htc');"/></td>
		</tr>
        	<tr>
        		<td colspan="3" width="100%" height="60" align="center">
        			<table cellpadding="10" cellspacing="0" border="0">
        				<tr>
        					<td width="100%" align="center" class="pageContent">
                    			<xsl:choose>
                    			<xsl:when test='@CAPTION!=""'>
		        					<xsl:value-of select="@CAPTION" disable-output-escaping="yes"/>
                    			</xsl:when>
                    			<xsl:otherwise>
                    				&#160;
                    			</xsl:otherwise>
                    			</xsl:choose>
        					</td>
        				</tr>
        			</table>
        		</td>
        	</tr>
	</table>
        </div>
	</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
