<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" indent="no"/>
<xsl:strip-space elements="*"/>

<xsl:param name="baseURL" select="''"/>

<xsl:template match="PHOTOPAGES">
	<xsl:variable name="IMGPATH"><xsl:value-of select="@PAGE-NAME"/>/</xsl:variable>

    	<xsl:for-each select="PHOTOPAGE/PHOTO">
        <div style="float:left; margin-left:20px; margin-bottom:20px;">
	<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100px; height: 100px;">
		<tr>
			<td><img src="images/{$IMGPATH}frame_tl.gif" border="0" alt=""/></td>
			<td>
				<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background: url('images/{$IMGPATH}frame_tbg.gif') repeat-x;">
					<tr>
						<td align="right"><img src="images/{$IMGPATH}frame_t.png" border="0" alt="" width="118" height="20" style="behavior:url('images/{$IMGPATH}pngbehavior.htc');"/></td>
					</tr>
				</table>
			</td>
			<td><img src="images/{$IMGPATH}frame_tr.png" border="0" alt="" width="10" height="20" style="behavior:url('images/{$IMGPATH}pngbehavior.htc');"/></td>
		</tr>
		<tr>
			<td style="background: url('images/{$IMGPATH}frame_lbg.gif') repeat-y;"></td>
			<td align="center" style="background-color: #ffffff;"><A href="javascript:void(1);">
        				<xsl:attribute name="onclick">window.open('<xsl:value-of select="@DETAIL"/>', 'detail', 'width=<xsl:value-of select="@WIDTH"/>,height=<xsl:value-of select="@HEIGHT"/>,statusbar=no,scrollbar=yes,toolbar=no');</xsl:attribute>
        				<IMG border='0' height="150">
        				<xsl:attribute name="SRC"><xsl:value-of select="@THUMB"/></xsl:attribute>
        				<xsl:attribute name="ALT"><xsl:value-of select="@CAPTION"  disable-output-escaping="yes"/></xsl:attribute>
        				</IMG></A></td>
			<td style="background: url('images/{$IMGPATH}frame_rbg.gif') repeat-y;"></td>
		</tr>
		<tr>
			<td><img src="images/{$IMGPATH}frame_bl.png" border="0" alt="" width="11" height="18" style="behavior:url('images/{$IMGPATH}pngbehavior.htc');"/></td>
			<td>
				<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background: url('images/{$IMGPATH}frame_bbg.gif') repeat-x;">
					<tr>
						<td><img src="images/{$IMGPATH}frame_b.png" border="0" alt="" width="145" height="18" style="behavior:url('images/{$IMGPATH}pngbehavior.htc');"/></td>
					</tr>
				</table>
			</td>
			<td><img src="images/{$IMGPATH}frame_br.gif" border="0" alt=""/></td>
		</tr>
        	<tr>
        		<td colspan="3" width="100%" height="60" align="center">
        			<table cellpadding="10" cellspacing="0" border="0">
        				<tr>
        					<td width="100%" align="center" class="pageContent">
                    			<xsl:choose>
                    			<xsl:when test='@CAPTION!=""'>
		        					<xsl:value-of select="@CAPTION" disable-output-escaping="yes"/>
                    			</xsl:when>
                    			<xsl:otherwise>
                    				&#160;
                    			</xsl:otherwise>
                    			</xsl:choose>
        					</td>
        				</tr>
        			</table>
        		</td>
        	</tr>
	</table>
</div>
	</xsl:for-each>
</xsl:template>

</xsl:stylesheet>
