<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--<xsl:include href="../styles/tabpanel.xsl"/>-->


<xsl:template name="MODULES-HEAD-EDIT">
<script type='text/javascript' language='javascript' src='{$baseURL}/modules/{$SB_modules}/js/photo.js'></script>
<script language="javascript">
var nonsup_ph = '<xsl:value-of select="//LEGEND/NOTSUPP"/>';
var nofile_ph = '<xsl:value-of select="//LEGEND/NOFILE"/>';
var notice_mess = '<xsl:value-of select="//LEGEND/NOFILE"/>';
var tr=false;
</script>
</xsl:template>

<xsl:template name="MODULES-FIRST-TAG-EDIT">

</xsl:template>

<xsl:template name="MODULES-BODY-EDIT">	
<form name='photoeditor' method='post' ENCTYPE='multipart/form-data'>
<xsl:attribute name='action'><xsl:value-of select="$baseURL"/><xsl:value-of select="//PHOTOEDITOR/@ACTION"/></xsl:attribute>
<input type="hidden" name="mod_is" value="true"/>
<input type="hidden" name="pgpageid_s" id="pgpageid_s">
<xsl:attribute name='value'><xsl:value-of select='//PGPAGEID'/></xsl:attribute>
</input>
<input type="hidden" name="topic" id="topic" value="mod_photo"/>
<input type="hidden" name="mode" id="mode" value="edit"/>
<input type="hidden" id="sb_changes_photo" name="sb_changes_photo" value=""/>
<input type="hidden" id="sb_changes" name="sb_changes">
<xsl:attribute name='value'><xsl:value-of select='//PHOTO-CHANG'/></xsl:attribute>
</input>
<input type="hidden" id="sb_changes_wizard" name="sb_changes_wizard">
<xsl:attribute name='value'><xsl:value-of select='//SB_CHANGES_WIZARD'/></xsl:attribute>
</input>
<input type="hidden" name="photo_applay" id="photo_applay" value="false"/>
<input type="hidden" name="photo_clear" id="photo_clear" value="false"/>
<input type="hidden" name="show_preview" value=""/>
<input type="hidden" name="next_step_ph" id="next_step_ph" value=""/>
<input type="hidden" name="sb_applay_ph" id="sb_applay_ph" value="false"/>
<input type="hidden" name="sb_temp_frame" id="sb_temp_frame">
<xsl:attribute name='value'><xsl:value-of select='//TYPE'/></xsl:attribute>
</input>
<input type="hidden" name="pgpage_edit_mode" id="pgpage_edit_mode" value="true"></input>
<!--<xsl:attribute name='value'><xsl:value-of select='//EDITM'/></xsl:attribute>-->
<input type="hidden" name="pgpageid" id="pgpageid">
<xsl:attribute name='value'><xsl:value-of select='//PGPAGEID'/></xsl:attribute>
</input>
<input type="hidden" name="modules_id" id="modules_id">
<xsl:attribute name='value'><xsl:value-of select='//MODULESID'/></xsl:attribute>
</input>
<input type="hidden" name="m_color" id="m_color">
<xsl:attribute name='value'><xsl:value-of select='//COLOR'/></xsl:attribute>
</input>
<input type="hidden" name="sb_pageid" id="sb_pageid" value="edit"></input>
<input type="hidden" name="m_pageid" id="m_pageid">
<xsl:attribute name='value'><xsl:value-of select='//PGPAGEID'/></xsl:attribute>
</input>
<xsl:for-each select="/*/CONTENT-AREA/REPCSS">
<style type="text/css">@import url(<xsl:value-of select="$baseURL"/><xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/><xsl:value-of select="@NAME"/>);</style>
</xsl:for-each>
<style type="text/css">@import url(<xsl:value-of select="$baseURL"/>/modules/<xsl:value-of select="$SB_modules"/>/style.css);</style>
<script language="javascript">
<xsl:choose>
	<xsl:when test="//JAVA">
		<xsl:value-of select='//JAVA'/>									
	</xsl:when>
	<xsl:otherwise>
	</xsl:otherwise>
</xsl:choose>
</script>

<xsl:apply-templates select="//TABPANEL"/>
</form>
</xsl:template>

<xsl:template match="PHOTOSELECT">
	<div id="pr_photo" name="pr_photo" style="height: 325px; width: 100%; overflow-y: auto; overflow-x: auto; overflow: auto; border-style: solid; border-color: #8494A0; border-width: 1px; background-color: #ffffff;float: left; ">
<xsl:for-each select="//PHOTOSELECT/TEMPLATES-LIST/TEMPLATE">
<xsl:choose>
<xsl:when test='@SELECTED="1"'>
<div style="float:left; height: 170px; width: 130px; align: center; vertical-align: middle; padding-left: 10px; padding-top: 5px;"><table cellspacing='3' cellpadding='3' border='0' align="center">
<tr>
<td>
<table cellspacing='0' cellpadding='0' border='0'>
        <tr align='center'>
                <td colspan='3'>
                        <img width='118' height='118' style="border-width: 1px; border-style: solid; border-color: #FF3D0C;">
                        <xsl:attribute name='src'><xsl:value-of select="$baseURL"/><xsl:value-of select='@ICON' /></xsl:attribute>
                        <xsl:attribute name='alt'><xsl:value-of select='@CAPTION' /></xsl:attribute>
                        </img>
                </td>
        </tr>
        <tr align='center'>
                <td height='3'><img src='{$baseURL}/modules/{$SB_modules}/images/design_button_selected_left.gif' width='3' height='20' border='0' /></td>
                <td width='115'  style="background-image: url({$baseURL}/modules/{$SB_modules}/images/design_button_selected_m.gif);" class='modules_design_layout_selected' valign='middle' align='center'><xsl:value-of select="../LEGEND/TMPLSELECTED"/></td>
                <td width='3'><img src='{$baseURL}/modules/{$SB_modules}/images/design_button_selected_r.gif' width='3' height='20' border='0' /></td>
        </tr>
</table>
</td>
</tr>
</table></div>
</xsl:when>
<xsl:otherwise>
<div id="modulediv" name="modulediv" style="float:left; height: 170px; width: 130px; align: center; vertical-align: middle; padding-left: 10px; padding-top: 5px;"><table cellspacing='3' cellpadding='3' border='0' align="center">
<tr>
<td>
        <a href="javascript:void(1)" style="text-decoration: none" >
                <table cellspacing='0' cellpadding='0' border='0' class="modules_tablebutton">
                        <tr>
                                <td colspan='3' style="cursor:hand;" align='center'>
                                        <xsl:attribute name='onclick'>dc(1);document.forms[0].templateid.value='<xsl:value-of select="@ID"/>';document.forms[0].submit();</xsl:attribute>
                                        <img width='118' height='118' border='0'>
                                        <xsl:attribute name='src'><xsl:value-of select="$baseURL"/><xsl:value-of select='@ICON' /></xsl:attribute>
                                        <xsl:attribute name='alt'><xsl:value-of select='@CAPTION' /></xsl:attribute>
                                        </img>
                                </td>
                        </tr>
                        <tr align='center' style="cursor:hand;">
                        <xsl:attribute name='onclick'>document.forms[0].templateid.value='<xsl:value-of select="@ID"/>';document.forms[0].submit();</xsl:attribute>
                                <td height='3'><img src='{$baseURL}/modules/{$SB_modules}/images/design_button_preview_l.gif' width='3' height='20' border='0' /></td>
                                <td width='114' style="background-image: url({$baseURL}/modules/{$SB_modules}/images/design_button_select_l.gif);" class='modules_design_layout_select' valign='middle' align='center'><xsl:value-of select="../LEGEND/TMPLSELECT"/></td>
                                <td width='3'><img src='{$baseURL}/modules/{$SB_modules}/images/design_button_select_r.gif' width='3' height='20' border='0' /></td>
                        </tr>
        </table>
        </a>
        </td>
</tr>
</table></div>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
<input type="hidden" name="templateid" value=""/>
</div>
<script type="text/javascript" language="javascript">
	<xsl:text>ResizeModulePhoto();</xsl:text>
</script>

</xsl:template>

<xsl:template match="PHOTOPREVIEW">
	<link rel="stylesheet" type="text/css">
		<xsl:attribute name="href"><xsl:value-of select="$baseURL"/><xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/>css/styles.css</xsl:attribute>	
	</link>

	<div id="pr_photo" name="pr_photo" style="border-style: solid; border-color: #8494A0; background-color: #ffffff; border-width: 1px; height: 325px; width: 100%; overflow-y: auto; overflow-x: auto; overflow: auto; float: left; ">
</div>
<script type="text/javascript" language="javascript">
doPreviewBild('<xsl:apply-templates select="//CONTA" />','<xsl:apply-templates select="//CONTPH" />');
</script>
<script type="text/javascript" language="javascript">
	<xsl:text>ResizeModulePhoto();</xsl:text>
</script>
</xsl:template>

<xsl:template match="PHOTOEDIT">
<div id="pr_photo" name="pr_photo" style="height: 327px; width: 100%; overflow-y: auto; overflow-x: auto; overflow: auto;float: left;">
<table width='98%' cellspacing='0' cellpadding='0' border='0' align='center'>
        <tr>
                <td>
                        <table width='100%' cellspacing='0' cellpadding='0' border='0' align='center'>
                                <tr>
								<td align='center' style="padding-top: 5px;">
                                                <table cellspacing='2' cellpadding='0' border='0' align='left' width="100%">
                                                        <tr>
                                                                <td>
                                                                        <table width='100%' cellspacing='0' cellpadding='2' border='0'>
                                                                                <tr>
																					<td nowrap='true' width='1%' class='modules_design_text'><b><xsl:value-of select="//LEGEND/IMGFILE"/>:</b></td>
																				</tr>
																				<tr>
                                                                                        <td colspan='2' class='modules_formfield'>
                                                                                        <input type='hidden' name='MAX_FILE_SIZE' >
                                                                                        	<xsl:attribute name='value'><xsl:value-of select="//MAXFILESIZE"/></xsl:attribute>
                                                                                        </input>
                                                                                        <input type='file' name='sb_photo_upload'  style="width: 100%">
                                                                                        <xsl:if test="$browser='MOZILLA'"><xsl:attribute name='size'>90</xsl:attribute></xsl:if>
                                                                                        <xsl:attribute name='onKeyPress'>return checkPhotoKey(event, '<xsl:value-of select="//LEGEND/NOTSUPP"/>', '<xsl:value-of select="//LEGEND/NOFILE"/>')</xsl:attribute>
																						<xsl:attribute name='onChange'>document.forms[0].sb_changes_photo.value=1;</xsl:attribute>
                                                                                        </input>
                                                                                        </td>
                                                                                </tr>
																				<tr>
																					<td nowrap='true' width='1%' class='modules_design_text'><b><xsl:value-of select="//LEGEND/IMGCAPTION"/>:</b></td>
																				</tr>
                                                                                <tr>
                                                                                <td class='modules_formfield'>
                                                                                <input type='text' name='sb_photo_text'  maxlength='200' style="width: 100%;">
                                                                                <xsl:attribute name='value'><xsl:value-of select="//IMAGELIST/SELECTEDPH/@CAPTION" /></xsl:attribute>
                                                                                <xsl:attribute name='onKeyPress'>return checkCaption(event);</xsl:attribute>
                                                                                </input>
                                                                                </td>
                                                                        </tr>
                                                                </table>
                                                        </td>
                                                </tr>
                                                <tr>
                                                <xsl:choose>
                                                <xsl:when test="//IMAGELIST/IMAGE/@SELECTED='true'">
                                                <td colspan="3" style="padding-top: 5px;">
                                                        <table cellspacing='0' cellpadding='0' border='0'>
                                                                <tr>
                                                                        <td>
                                                                                <xsl:call-template name="drawButton"><xsl:with-param name="onClick">if((document.forms[0].sb_photo_upload.value != "" || document.forms[0].edit_photo_id.value != "") &amp;&amp; doSubmitForm(true)) { var vfile = document.forms[0].sb_photo_upload.value;if(vfile == "" || vfile.substr(vfile.length-4,4).toLowerCase()==".gif" || vfile.substr(vfile.length-4,4).toLowerCase()==".png" || vfile.substr(vfile.length-4,4).toLowerCase()==".jpg" || vfile.substr(vfile.length-4,4).toLowerCase()==".bmp" || vfile.substr(vfile.length-5,5).toLowerCase()==".jpeg"){dc(1);document.forms[0].update_photo.value=1;document.forms[0].submit();}else { alert('<xsl:value-of select="//LEGEND/NOTSUPP"/>'); }}</xsl:with-param>
                                                                                <xsl:with-param name="caption">&#160;&#160;&#160;&#160;&#160;<xsl:value-of select="//LEGEND/IMGAPPLYU"/>&#160;&#160;&#160;&#160;&#160;</xsl:with-param>
                                                                                </xsl:call-template>

                                                                        </td>
                                                                        <td style="padding-left: 10px;">
                                                                        <xsl:call-template name="drawButton">
                                                                        <xsl:with-param name="onClick">dc(1);document.forms[0].update_photo.value='cancel';doSubmitForm(false);document.forms[0].submit();</xsl:with-param>
                                                                        <xsl:with-param name="caption">&#160;&#160;&#160;&#160;&#160;<xsl:value-of select="//LEGEND/IMGCANCEL"/>&#160;&#160;&#160;&#160;&#160;</xsl:with-param>
                                                                        </xsl:call-template>
                                                                        </td>
                                                                </tr>
                                                        </table>
                                                <input type='hidden' name="update_photo" value=""/>
												<input type='hidden' name="del_selected" value=""/>
                                                <input type='hidden' name="edit_photo_id" >
                                                <xsl:attribute name='value'><xsl:value-of select="//IMAGELIST/SELECTEDPH/@ID"/></xsl:attribute>
                                                </input>
                                                </td>
                                                </xsl:when>
                                                <xsl:otherwise>
                                                <td style="padding-top: 5px;">
                                                        <xsl:call-template name="drawButton">
                                                        <xsl:with-param name="onClick">if (document.forms[0].sb_photo_upload.value != "" &amp;&amp; doSubmitForm(true)){var vfile = document.forms[0].sb_photo_upload.value;if(vfile.substr(vfile.length-4,4).toLowerCase()==".gif" || vfile.substr(vfile.length-4,4).toLowerCase()==".png" || vfile.substr(vfile.length-4,4).toLowerCase()==".jpg" || vfile.substr(vfile.length-4,4).toLowerCase()==".bmp" || vfile.substr(vfile.length-5,5).toLowerCase()==".jpeg"){dc(1);document.forms[0].update_photo.value='1';document.forms[0].submit();}else { if(!tr) alert('<xsl:value-of select="//LEGEND/NOTSUPP"/>'); }}else {if(!tr) alert('<xsl:value-of select="//LEGEND/NOFILE"/>');tr=false;}</xsl:with-param>
                                                        <xsl:with-param name="caption">&#160;&#160;&#160;&#160;&#160;<xsl:value-of select="//LEGEND/IMGAPPLYA"/>&#160;&#160;&#160;&#160;&#160;</xsl:with-param>
                                                        </xsl:call-template>
                                                        <input type='hidden' name="update_photo" value=""/>
                                                        <input type='hidden' name="edit_photo_id" >
                                                        <xsl:attribute name='value'><xsl:value-of select="//IMAGELIST/SELECTEDPH/@ID"/></xsl:attribute>
                                                        </input>
                                                </td>
                                                </xsl:otherwise>
                                                </xsl:choose>
                                        </tr>
                                </table>
                        </td>
                        
                </tr>
                <tr>
				<td ><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width='10' height='10' border='0' /></td> 
                </tr>
        </table>
</td>
</tr>
<tr>
	<td colspan="3" style="border-top-style: solid; border-top-color: #8494A0; border-top-width: 1px; padding-right: 10px; padding-left: 10px; padding-bottom: 10px; padding-top: 10px;">
		 <table cellspacing='0' cellpadding='0' border='0' width="100%">
           <tr>
              <td width="75" class='modules_design_text'><input type="checkbox" name="sel_ph_all" onclick="javascript:doMarkCheckbox(this);"/><!--<b><xsl:value-of select="//DELCAPTION"/></b>-->
			  </td>
			  <td width="75%" class='modules_design_text'><b><xsl:value-of select="//NAMECAPTION"/></b>
			  </td>
			  <td class='modules_design_text'><b><xsl:value-of select="//IMAGECAPTION"/></b>
			  </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
        <td style="padding-left: 5px; padding-right: 5px;">
                <div style="border-bottom-style: solid; border-bottom-color: #8494A0; border-bottom-width: 1px; background-color: #ffffff;">
				<xsl:choose>
				<xsl:when test="$browser='MOZILLA'">
					<xsl:attribute name='class'>modules_photolistM</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name='class'>modules_photolist</xsl:attribute>
				</xsl:otherwise>
				</xsl:choose>
                <xsl:if test="//IMAGELIST">
                        <table width='100%' cellspacing='0' cellpadding='0' border='0'>
                                <xsl:for-each select="//IMAGELIST/IMAGE">
                                <tr>
								<xsl:choose>
								<xsl:when test="@SELECTED='true'">
                                    <xsl:attribute name="class">modules_il_eeeeee</xsl:attribute>
                                </xsl:when>
								<xsl:otherwise>
									<xsl:attribute name='class'><xsl:value-of select="@STYLE" /></xsl:attribute>
                                </xsl:otherwise>
								</xsl:choose>
										<td width='100%'>
                                                <table width='100%' cellspacing='5' cellpadding='0' border='0'>
                                                        <tr>
														
                                                                <td width="70">
                                                                <img width='70' height='1' border='0' src='{$baseURL}/modules/{$SB_modules}/images/empty.gif'/>
                                                                
                                                                <input type="checkbox" name="del_ph_id[]">
                                                                <xsl:attribute name='value'><xsl:value-of select="@THUMB" /></xsl:attribute>
                                                                </input>
                                                                </td>
                                                                <td width="75%" class="pageContent" style="color: #474747;text-align:left;" >
                                                                <input type="hidden">
                                                                <xsl:attribute name='name'>ph_<xsl:value-of select="@FILENAME" />_caption</xsl:attribute>
                                                                <xsl:attribute name='value'><xsl:value-of select="@CAPTION" /></xsl:attribute>
                                                                </input>
                                                                <xsl:value-of select="@CAPTION" />
                                                                </td>
																<td height="47px">
																<xsl:choose>
                                                                <xsl:when test="@SELECTED='true'">
                                                                        <table width='100%' cellspacing='0' cellpadding='0' border='0' class="modules_tablebutton">
                                                                                <tr>
                                                                                        <td>
                                                                                        <img border='0' alt='' width='47px'>
																						<xsl:attribute name="class">modules_imagelist_selected</xsl:attribute>
                                                                                        <xsl:attribute name='src'><xsl:value-of select="$baseURL"/><xsl:value-of select='@THUMB' /></xsl:attribute>
                                                                                        <xsl:attribute name='alt'><xsl:value-of select="@CAPTION" /></xsl:attribute>
                                                                                        </img>
                                                                                        </td>
                                                                                </tr>
                                                                        </table>
																		</xsl:when>
																		<xsl:otherwise>
                                                                        <table width='100%' cellspacing='0' cellpadding='0' border='0' class="modules_tablebutton">
                                                                                <tr>
                                                                                        <td>
                                                                                        <img border='0' alt='' width='47px' style="cursor: hand; cursor: pointer; ">
                                                                                        <xsl:attribute name='onclick'>dc(1);document.forms[0].edit_photo_id.value='<xsl:value-of select="@THUMB" />';document.forms[0].submit();</xsl:attribute>
                                                                                        <xsl:attribute name='src'><xsl:value-of select="$baseURL"/><xsl:value-of select='@THUMB' /></xsl:attribute>
                                                                                        <xsl:attribute name='alt'><xsl:value-of select="@CAPTION" /></xsl:attribute>
                                                                                        </img>
                                                                                        </td>
                                                                                </tr>
                                                                        </table>
																		</xsl:otherwise>
																		</xsl:choose>
                                                                </td>
                                                                </tr>
                                                </table>
                                        </td>
                                </tr>
                                <tr class="modules_imagelist_empty"><td><img width='100%' height='1' border='0' src='{$baseURL}/modules/{$SB_modules}/images/empty.gif'></img></td></tr>
                        </xsl:for-each>
                        </table>
                        </xsl:if>
                </div>
        </td>
</tr>
<tr>
<td style="padding-top: 10px; padding-left: 5px;">

<xsl:if test="//IMAGELIST/IMAGE">
<input type="hidden" name="sb_delete_photos" value="" />
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">if (checkDelete('<xsl:value-of select="//LEGEND/SUREDEL"/>', '<xsl:value-of select="//LEGEND/NOTHING"/>')) {dc(1);document.forms[0].sb_delete_photos.value="1";try{document.forms[0].edit_photo_id.value="";document.forms[0].del_selected.value="1"}catch(e){};document.forms[0].submit();}</xsl:with-param>
<xsl:with-param name="caption" select='//LEGEND/DELETE'/>
</xsl:call-template>
</xsl:if>

</td>
</tr>
</table>
</div>
<script type="text/javascript" language="javascript">
	<xsl:text>ResizeModulePhoto();</xsl:text>
</script>

</xsl:template>

</xsl:stylesheet>